int main() {
  double d2[3];
  double (*d4)[3];
  double (*d7)[:];
   
  printf("elementtype(double) = %d\n", elementtype(double)); 
  printf("elementtype(d2) = %d\n", elementtype(d2));
  printf("elementtype(d4) = %d\n", elementtype(d4));
  printf("elementtype(d7) = %d\n", elementtype(d7));
}
